Anonymous Login
2018-12-15 14:01 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001606OpenClonkObjectspublic2017-12-26 18:41
ReporterZapper 
Assigned ToLuchs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001606: Pickaxe: annoying to mine single pixels
DescriptionThe pickaxe digs free in some area. But only if you actually hit the solid material.

It should be easier to dig away single pixels. Maybe by checking more than one position for solid material? Not sure how exactly that might be done, but it's annoying at the moment.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005420

Maikel (developer)

It already checks for pixels on a line from the clonk's center to the clicked point. So this really is only annoying when aiming for single pixels, maybe we can check for several lines with a small deviation in the angle? Then you would have to aim less precisely for those single pixels.

~0005971

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/31fee7a46d41fb51e8efbe2d3a199eb88166f42a

Changeset 31fee7a by Lukas Werling <lukas.werling@gmail.com>
Pickaxe: Check material in a cone (0001606)

This makes digging away single pixels easier.

~0005972

Luchs (administrator)

I implemented Maikel's suggestion. The attached image shows a visualization of the cone. The original line is in white, the additional checks are in red. It does roughly 1-2x more GBackSolid lookups, which seems reasonable to me. (I didn't benchmark whether skipping GBackSolid lookups like I am doing actually is faster though).
+Notes

-Issue History
Date Modified Username Field Change
2016-01-12 22:24 Zapper New Issue
2016-08-29 08:11 Maikel Note Added: 0005420
2017-12-26 18:37 occ Note Added: 0005971
2017-12-26 18:38 Luchs File Added: pickaxe-cone.png
2017-12-26 18:41 Luchs Assigned To => Luchs
2017-12-26 18:41 Luchs Status new => resolved
2017-12-26 18:41 Luchs Resolution open => fixed
2017-12-26 18:41 Luchs Fixed in Version => 8.0
2017-12-26 18:41 Luchs Note Added: 0005972
+Issue History